Module org.jfree.chart3d
Package org.jfree.chart3d.marker

# Enum Class CategoryMarkerType

java.lang.Object
java.lang.Enum<CategoryMarkerType>
org.jfree.chart3d.marker.CategoryMarkerType

All Implemented Interfaces:
  `Serializable`, `Comparable<CategoryMarkerType>`, `Constable`

public enum CategoryMarkerType extends Enum<CategoryMarkerType>
An enumeration of the different types of `CategoryMarker`.

Since:
  1.2

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`BAND`
The marker is represented as a band covering the category width.
`LINE`
The marker is represented as a line in the middle of the category.

## Method Summary

Modifier and Type
Method
Description
`static CategoryMarkerType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static CategoryMarkerType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### LINE

public static final CategoryMarkerType LINE
The marker is represented as a line in the middle of the category.

### BAND

public static final CategoryMarkerType BAND
The marker is represented as a band covering the category width.

## Method Details

### values

public static CategoryMarkerType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static CategoryMarkerType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null